package com.nuliji.tools.mybatis.handler;

import com.fasterxml.jackson.databind.ObjectMapper;
import org.apache.ibatis.type.JdbcType;
import org.apache.ibatis.type.MappedJdbcTypes;
import org.apache.ibatis.type.MappedTypes;

@MappedTypes(Integer[].class)
@MappedJdbcTypes({JdbcType.LONGVARCHAR, JdbcType.VARCHAR})
public class IntegerArrayHandler extends NativeJsonHandler<Integer[]> {
    private static final ObjectMapper mapper = new ObjectMapper();
    public IntegerArrayHandler() {
    }
}